| template-haskell-2.3.0.1 | Source code | Contents | Index

Language.Haskell.TH.Quote

Synopsis

data QuasiQuoter = QuasiQuoter {

quoteExp :: String -> Q Exp
quotePat :: String -> Q Pat

}

dataToQa :: forall a k q. Data a => (Name -> k) -> (Lit -> Q q) -> (k -> [Q q] -> Q q) -> (forall b. Data b => b -> Maybe (Q q)) -> a -> Q q
dataToExpQ :: Data a => (forall b. Data b => b -> Maybe (Q Exp)) -> a -> Q Exp
dataToPatQ :: Data a => (forall b. Data b => b -> Maybe (Q Pat)) -> a -> Q Pat

Documentation

data QuasiQuoter | Source

Constructors

QuasiQuoter |

quoteExp :: String -> Q Exp |
quotePat :: String -> Q Pat |

dataToQa :: forall a k q. Data a => (Name -> k) -> (Lit -> Q q) -> (k -> [Q q] -> Q q) -> (forall b. Data b => b -> Maybe (Q q)) -> a -> Q q | Source

dataToExpQ :: Data a => (forall b. Data b => b -> Maybe (Q Exp)) -> a -> Q Exp | Source

`dataToExpQ` converts a value to a 'Q Exp' representation of the same value. It takes a function to handle type-specific cases.

dataToPatQ :: Data a => (forall b. Data b => b -> Maybe (Q Pat)) -> a -> Q Pat | Source

`dataToPatQ` converts a value to a 'Q Pat' representation of the same value. It takes a function to handle type-specific cases.
Produced by Haddock version 2.4.2